Fehler nach Update meines Bloges

Nachdem ich am Wochenende meinen WordPress-Blog auf die neuste 2.6 geupdated hatte funktionierte gar nichts mehr:

Warning: unpack() [function.unpack]: Type V: not enough input, need 4, have 0 in .../wp-includes/gettext.php on line 91
Warning: unpack() [function.unpack]: Type V: not enough input, need 4, have 0 in .../wp-includes/gettext.php on line 91
Fatal error: Maximum execution time of 30 seconds exceeded in .../wp-includes/gettext.php on line 166

Google sei dank habe ich sehr schnell eine Lösung auf dieser Seite gefunden: Code Styling Project

Es muss in der Datei …/wp-includes/streams.php folgende Zeile ersetzt werden:

alt:

$data = substr($this->_str, $this->_pos, $bytes);

neu:

$data = array_shift(unpack('@'.$this->_pos.'/A'.$bytes, $this->_str));

Kommentar verfassen